
/* Huellas X    Fractales y Caos en un punto    18  Septiembre del 2000*/
/* Se autoriza la distribucion y uso libre de este programa (freeware) */
/* Fernando Galindo Soria    Cd. de Mexico */
/* www.fgalindosoria.com */

#include <graphics.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

void main()
{
  int gd=DETECT,gm,x,y,z;
  initgraph(&gd,&gm,"");
  randomize();

// mensaje de inicio
 cleardevice();
 printf("Huellas X  Fractales y Caos en un punto \n");
 printf("programa que genera fractales graficando un punto\n");
 printf("Se autoriza la distribucion y uso libre de este programa (freeware)\n");
 printf("Fernando Galindo Soria   www.fgalindosoria.com   \n");
 printf("18 de Septiembre del 2000  Cd. de Mexico\n");
 printf("\n el programa termina con cualquier tecla\n");
 printf("\n oprime una tecla para continuar");
 getch();
 cleardevice();

  z=0;
  while(!kbhit())
    for (x=1; x<getmaxx(); x++)
      for (y=1; y<getmaxy(); y++){z+=1; if(z==0)z=1;
	 putpixel(x,y,(x*y*z)%(z));
  }
  getch();
  closegraph();
}